import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  username: z.literal(true).optional(),
  password: z.literal(true).optional(),
  autoBackupEnabled: z.literal(true).optional(),
  autoBackupHour: z.literal(true).optional(),
  usbBackupEnabled: z.literal(true).optional(),
  usbBackupHour: z.literal(true).optional(),
  autoMhCheckEnabled: z.literal(true).optional(),
  autoMhCheckDayOfWeek: z.literal(true).optional(),
  autoMhCheckHour: z.literal(true).optional()
}).strict();
export const UserMaxAggregateInputObjectSchema: z.ZodType<Prisma.UserMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.UserMaxAggregateInputType>;
export const UserMaxAggregateInputObjectZodSchema = makeSchema();
